EDIT - feature request #6932
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate bulk editor
09/08/2017 07:45 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: blocker

Description

Related issues:

Related to EDIT - feature request #7010: Adapt handlers for multiple selectio... Closed

Associated revisions

Revision 36429123 - 09/08/2017 10:58 AM - Patrick Plitzner
ref #6932 Migrate bulk editor (non-stable)

Revision a21eea64 - 09/11/2017 04:16 PM - Patrick Plitzner

ref #6932 Migrate bulk editor (search and results display working)

Revision a4b31985 - 09/11/2017 06:35 PM - Patrick Plitzner

ref #6932 Migrate bulk context menu (non-functional)

Revision a380926d - 09/11/2017 07:43 PM - Patrick Plitzner
ref #6932 Migrate bulk editor handlers (part I)

Revision 5cfc8708 - 09/12/2017 04:51 PM - Patrick Plitzner

ref #6932 Migrate bulk editor handlers and add annotation merge support

Revision 2bc43991 - 09/13/2017 09:42 AM - Patrick Plitzner
ref #6932 Fix intitial layouting of bulk editor

Revision e2ecfad8 - 09/13/2017 10:41 AM - Patrick Plitzner
ref #6932 Add non-restore tag to bulk editor

Revision a2a04809 - 09/13/2017 11:10 AM - Patrick Plitzner

ref #6932 Fix new element handler and save

Revision 3f85ffbd - 09/13/2017 11:52 AM - Patrick Plitzner
ref #6932 further migration of handlers

Revision 231¢6260 - 09/13/2017 02:17 PM - Patrick Plitzner
ref #6932 Ask before permanent delete

Revision bce766a1 - 09/13/2017 02:56 PM - Patrick Plitzner

ref #6932 Refactor merge annotating

Revision fd7d64e9 - 09/15/2017 07:12 AM - Patrick Plitzner

ref #6932 Refactor merge and delete handler
Revision 8b2d3c40 - 09/26/2017 02:32 PM - Patrick Plitzner
ref #6932 Migrate merge handlers

Revision b395761f - 09/26/2017 02:53 PM - Patrick Plitzner
ref #6932 Add "Open in..." menu

Revision a2121¢64 - 09/26/2017 02:53 PM - Patrick Plitzner
ref #6932 Asjust menu item visibility

Revision 9e92b44f - 09/26/2017 03:28 PM - Patrick Plitzner
ref #6932 Migrate marker type handler

Revision 485afab8 - 09/26/2017 03:30 PM - Patrick Plitzner

ref #6932 Remove unused code

Revision f518ed98 - 09/26/2017 04:45 PM - Patrick Plitzner
ref #6932 Add missing bulk editor menu items

Revision a6fc1476 - 09/26/2017 04:49 PM - Patrick Plitzner

ref #6932 Retrieve missing taxon service for saving in bulk editor

Revision 4467405 - 10/18/2017 10:20 AM - Patrick Plitzner

ref #6932 Enable supplemental view for bulk editor

Revision 978¢10c0 - 10/18/2017 11:36 AM - Patrick Plitzner
ref #6932 Use getText() of editor input for labels

Revision 401bbfa3 - 10/18/2017 12:05 PM - Patrick Plitzner
ref #6932 enhancements for bulk editor
® i18n

e set part label
e evaluate condition for merge menu items

Revision b8205e98 - 10/18/2017 02:58 PM - Patrick Plitzner
ref #6932 add type info to bulk editor

Revision ff742a38 - 10/25/2017 12:02 PM - Patrick Plitzner

ref #6932 Allow text selection in bulk editor

e show type information in second column

Revision 9f70389a - 10/26/2017 09:17 AM - Patrick Plitzner
ref #6990, #6932 Fix exception when opening orphaned taxon in bulkeditor

Revision 35ee4164 - 10/26/2017 11:14 AM - Patrick Plitzner

ref #6932 Do not reset merge candidates when saving before merge

Revision da9b6b61 - 10/26/2017 11:37 AM - Katja Luther

ref #6932: remove second call of merge in bulkeditor

Revision 9d542503 - 10/31/2017 09:55 AM - Patrick Plitzner

ref #6932 Revert "remove second call of merge in bulkeditor"

Revision 054065 - 11/01/2017 03:04 PM - Patrick Plitzner

ref #6932 Invoke search in new session

Revision ec740f6a - 11/06/2017 12:11 PM - Patrick Plitzner
ref #6932 Disable focus service for bulk editor

Revision 2160ead6 - 11/07/2017 02:41 PM - Katja Luther

ref #6932: remove dirty flag when research without saving

Revision 6d457a88 - 11/07/2017 03:05 PM - Patrick Plitzner

ref #6932 Re-enable text selection in bulk editor

Revision ddd5d8cd - 11/08/2017 10:27 AM - Katja Luther
ref #6932: fix taxon bulk editor is sorted

Revision 58f15314 - 11/08/2017 10:39 AM - Katja Luther

ref #6932: save the complete list with one service call

Revision bcf8e025 - 11/23/2017 02:34 PM - Katja Luther

save only dirty elements of the bulkeditor

Revision 9141b421 - 11/23/2017 02:36 PM - Katja Luther

reset saveCandidate list after save

Revision 2babc4fd - 11/24/2017 09:42 AM - Katja Luther

fix save for bulkeditor

Revision 53747bc9 - 11/24/2017 12:37 PM - Katja Luther

ref #6932: allow multiselection for deduplication

Revision ea0663c3 - 11/24/2017 01:34 PM - Katja Luther

ref #6932: allow multiselection for deduplication

Revision 04bb4f0f - 12/18/2017 01:14 PM - Katja Luther

fix #6392: fix remaining bulk editor migration issues

History

#1 - 09/21/2017 01:53 PM - Patrick Plitzner

- Target version changed from Release 4.10 to Release 4.11

#2 - 09/26/2017 04:51 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 09/26/2017 04:51 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#4 - 10/18/2017 02:05 PM - Katja Luther

- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Patrick Plitzner

in name bulk editor there is the possibility to deduplicate, but we do not have deduplication for names yet.

in old bulk editor we did a new search after saving, we should do this in the new one, too.

the deduplication for persons does not work.

Didn't we had the type of TeamOrPerson in brackets behind the title (like A. Kern [Person]) this was nice to see where we have to change the type

#5 - 10/18/2017 02:45 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther
Katja Luther wrote:
in name bulk editor there is the possibility to deduplicate, but we do not have deduplication for names yet.
in old bulk editor we did a new search after saving, we should do this in the new one, too.
the deduplication for persons does not work.
Didn't we had the type of TeamOrPerson in brackets behind the title (like A. Kern [Person]) this was nice to see where we have to change the

type

Did you delete the workbench.xmi? There is no deduplication for names in my workspace. | also tested deduplication for persons and it worked. Did
you test on nightly?

#6 - 10/18/2017 03:21 PM - Katja Luther

| did it on my workspace but deleted the workbench.xmi

#7 - 10/19/2017 11:51 AM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

| tried in nightly. In name bulk editor there is no deduplication menu item.
But it is true that deduplication does not work correctly for persons. Hmm, but in my workspace it does...

#8 - 10/19/2017 02:14 PM - Andreas Miller

- Status changed from Resolved to Feedback

#9 - 10/21/2017 11:19 AM - Andreas Miiller

In the new bulk editor it is not possible anymore to copy the text of the entries (or part of the text). This is an important feature for some workflows and
should be re-enabled if possible.

#10 - 10/25/2017 12:02 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller
Andreas Miller wrote:
In the new bulk editor it is not possible anymore to copy the text of the entries (or part of the text). This is an important feature for some

workflows and should be re-enabled if possible.

| added a second column for type information and also enabled text selection
#11 - 10/26/2017 10:17 AM - Katja Luther
Patrick Plitzner wrote:
Andreas Miiller wrote:
In the new bulk editor it is not possible anymore to copy the text of the entries (or part of the text). This is an important feature for some
workflows and should be re-enabled if possible.

| added a second column for type information and also enabled text selection

But now it is possible to edit the text. It is not possible to save, but this is confusing for the user

And when selecting one of the columns, not the whole row the menu is the one to edit strings (copy, delete, unicode Steuerzeichen anzeigen etc),
maybe we should disable everything other than copy in this menu, because it has no effect on the data.

#12 - 10/26/2017 10:52 AM - Patrick Plitzner

Katja Luther wrote:

Patrick Plitzner wrote:

03/20/2024 4/9



Andreas Miiller wrote:
In the new bulk editor it is not possible anymore to copy the text of the entries (or part of the text). This is an important feature for some
workflows and should be re-enabled if possible.

| added a second column for type information and also enabled text selection

But now it is possible to edit the text. It is not possible to save, but this is confusing for the user
And when selecting one of the columns, not the whole row the menu is the one to edit strings (copy, delete, unicode Steuerzeichen anzeigen

etc), maybe we should disable everything other than copy in this menu, because it has no effect on the data.

It is the same behavior as in the referencing objects view. It is not possible to edit the text because all changes are rejected. This is currently the only
way | know which lets you select only parts of the text. | agree that it does not look nice. If copying the whole text is sufficient then | would also prefer
that.

#13 - 10/26/2017 11:00 AM - Katja Luther

| don't know if this is an old issue: when bulk editor is not saved and you try to deduplicate entries, a message pops up, that the merging can't be
perfomed without saving. Clicking on save, saves everything but the annotations are gone and a message that says that nothing was marked for
deduplication appears.

#14 - 10/26/2017 11:15 AM - Katja Luther
Patrick Plitzner wrote:
Katja Luther wrote:
Patrick Plitzner wrote:
Andreas Miiller wrote:
In the new bulk editor it is not possible anymore to copy the text of the entries (or part of the text). This is an important feature for
some workflows and should be re-enabled if possible.

| added a second column for type information and also enabled text selection

But now it is possible to edit the text. It is not possible to save, but this is confusing for the user

And when selecting one of the columns, not the whole row the menu is the one to edit strings (copy, delete, unicode Steuerzeichen
anzeigen etc), maybe we should disable everything other than copy in this menu, because it has no effect on the data.

It is the same behavior as in the referencing objects view. It is not possible to edit the text because all changes are rejected. This is currently the
only way | know which lets you select only parts of the text. | agree that it does not look nice. If copying the whole text is sufficient then | would
also prefer that.

Sometimes there is a distinction between editable and enabled, | used that for the synoyms in the name editor. But | don't know if it possible here.

#15 - 10/26/2017 11:17 AM - Katja Luther

Another issue is the performance: The old bulk editor marked every item that was changed as "mergeable" and during save, only for the mergeable
object merge was called.

| think the new bulk editor calls the merge twice, first time in input.saveModel() and again with the input of the viewer which should be the same.

#16 - 10/26/2017 11:36 AM - Katja Luther

Katja Luther wrote:

Another issue is the performance: The old bulk editor marked every item that was changed as "mergeable" and during save, only for the
mergeable object merge was called.

| think the new bulk editor calls the merge twice, first time in input.saveModel() and again with the input of the viewer which should be the same.

| fixed this.

#17 - 10/27/2017 10:12 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Patrick Plitzner

- Severity changed from normal to blocker

Now the bulk editor does not save anymore !!l Changes are not persisted!

This is a blocker and should be fixed asap. Maybe this came with the performance improvements?

#18 - 10/28/2017 12:33 AM - Andreas Muller

- Status changed from Resolved to Feedback

#19 - 10/31/2017 09:54 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

| reverted the changes so not saving works again. We should have a look at the performance after the release

#20 - 11/01/2017 09:20 AM - Katja Luther

calling the search a second time, the search is not performed on the db. That's why | did not recognized, that the save did not work.

#21-11/01/2017 01:33 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#22 - 11/01/2017 03:06 PM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther
- % Done changed from 50 to 70

Katja Luther wrote:

calling the search a second time, the search is not performed on the db. That's why | did not recognized, that the save did not work.

This should work now. At least now it is the same code as in €3

#23 - 11/02/2017 01:51 PM - Katja Luther
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

works fine now.

#24 - 11/02/2017 02:27 PM - Andreas Miiller
- Status changed from Closed to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#25 - 11/06/2017 06:49 PM - Andreas Miiller

It looks like the search result at least in taxon bulk editor is not ordered. But maybe this was the case in €3 already. Is this easy to implement?

#26 - 11/06/2017 06:51 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

The bulk editor is not synchronized when data is changed in details view. This was the case in €3 (v4.10). We should try to fix this before the release.

#27 - 11/06/2017 06:54 PM - Andreas Miiller

Patrick Plitzner wrote:

| reverted the changes so not saving works again. We should have a look at the performance after the release

why is it difficult to implement this same as in €3? The bad performance is a bit critical. | got an Stack Overflow when | tried to save with a bulk editor
with ~1400 taxa loaded. But only 1 taxon edited.

#28 - 11/06/2017 10:24 PM - Andreas Miiller

If one adds a marker via bulk editor this is generally immediately reflected in the supplemental data view, only the + behind the marker section label is
not activated if there was no marker before. Feel free to create new ticket as this probably wasn't the case before. Also not very important.

#29 - 11/06/2017 10:33 PM - Andreas Miiller

In taxon bulk editor, when clicking in details view on taxon or synonym section label to try to collapse or expand it the details view becomes
completely empty. This is a regression.

#30 - 11/06/2017 11:21 PM - Andreas Miiller
Andreas Muller wrote:
In taxon bulk editor, when clicking in details view on taxon or synonym section label to try to collapse or expand it the details view becomes

completely empty. This is a regression.

This is also the case for other sections in other bulk editors detail views.
#31 - 11/06/2017 11:29 PM - Andreas Miiller
Andreas Muller wrote:
This is also the case for other sections in other bulk editors detail views.

It is even the case for all elements in the details view, BUT only if no name editor is opened in parallel. If a name editor is open the bulk editor works
as expected.

#32 - 11/06/2017 11:34 PM - Andreas Miiller

If I do re-search in bulk editor with no save than the dirty flag is not set back but should as the search should start a new session.
#33 - 11/06/2017 11:46 PM - Andreas Miiller
Katja Luther wrote:
It is the same behavior as in the referencing objects view. It is not possible to edit the text because all changes are rejected. This is

currently the only way | know which lets you select only parts of the text. | agree that it does not look nice. If copying the whole text is
sufficient then | would also prefer that.

Sometimes there is a distinction between editable and enabled, | used that for the synoyms in the name editor. But | don't know if it possible
here.

Now it is still not possible to copy the text, neither in parts nor complete. We should try to change this.

#34 - 11/06/2017 11:55 PM - Andreas Miiller

It is not possible anymore to select multiple row for select/deselect for deduplication candidate
#35 - 11/07/2017 12:09 AM - Andreas Miiller
Changing a person to a team (1) has no visible effect. But after research the result is correct. The same applies for changing team to person (2).

In v4.10 changing team to person required save after the call (with dirty flag set). This is the expected behavior as it is in consistency with
deduplication. This is currently missing in nightly.

Changing person to team did not set the dirty flag and did not require save in 4.10 as it does in nightly, but it should. But maybe there was a reason
for the current behavior or we did just forget to implement it correctly. Katja?

#36 - 11/07/2017 02:30 PM - Katja Luther

Andreas Muller wrote:

#37 - 11/07/2017 02:32 PM - Katja Luther
Andreas Milller wrote:
Changing a person to a team (1) has no visible effect. But after research the result is correct. The same applies for changing team to person (2).

In v4.10 changing team to person required save after the call (with dirty flag set). This is the expected behavior as it is in consistency with
deduplication. This is currently missing in nightly.

Changing person to team did not set the dirty flag and did not require save in 4.10 as it does in nightly, but it should. But maybe there was a

reason for the current behavior or we did just forget to implement it correctly. Katja?

This already worked, but now the changed team/person disappeaers after research???
#38 - 11/07/2017 02:42 PM - Katja Luther
Andreas Muller wrote:

If 1 do research in bulk editor with no save than the dirty flag is not set back but should as the search should start a new session.

fixed

#39 - 11/08/2017 10:41 AM - Katja Luther

saving and sorting of taxa is fixed or improved

#40 - 11/10/2017 09:44 PM - Andreas Miiller

If a record is selected as target for duplicate removal it is not possible to directly remove it as target again. If you want to remove you first have to
make it candidate and than you remove it completely.

#41 - 11/10/2017 09:47 PM - Andreas Miiller

one click on a record immediately goes into editing mode (enabled only for copy functionality). This is critical as usually one wants to use the context
menu in bulk editor which is not available anymore in editing mode.

e Solutions could be: go in editing mode only by double click (preferred)
* adapt context menu for editing mode (if possible, e.g. use same context menu as in non-editing mode, by add "copy" command)

#42 - 11/24/2017 11:24 AM - Katja Luther
- Status changed from Feedback to In Progress

- Assignee changed from Patrick Plitzner to Katja Luther

after deduplication the symbol of the target does not disappear

#43 - 11/24/2017 11:27 AM - Katja Luther

save of the bulk editor only saves the edited elements now.

#44 - 11/24/2017 12:37 PM - Katja Luther

multi selection for deduplication is now available again

#45 - 12/18/2017 03:20 PM - Katja Luther

- Status changed from In Progress to Resolved

the entities are only selected by double click.

#46 - 12/18/2017 03:21 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mtiller

#47 - 05/16/2018 02:35 PM - Patrick Plitzner
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

The E4 migration has been done up to a sufficient state.
Remaining issues should be handled in separate tickets.
#48 - 05/18/2018 01:21 PM - Andreas Miiller
- Status changed from Closed to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

| think we should first create a ticket with the remaining issues before closing. Otherwise the information will get lost.

Katja, could you create the ticket as most of the comments and also part of the implementation are yours? And close this ticket afterwards.

By the way, multi-select still does not work for me.

#49 - 05/18/2018 02:13 PM - Andreas Miiller
- % Done changed from 100 to 90

#50 - 05/18/2018 02:15 PM - Andreas Miiller

- Related to feature request #7010: Adapt handlers for multiple selection in e4 views added
#51 - 05/18/2018 02:22 PM - Andreas Miiller

Multi selection is generally handled in #7010.

Are there any other open issues?

When closing this ticket please also close master ticket as this is the last ticket not closed yet.
#52 - 08/22/2018 12:05 PM - Andreas Miiller

- Status changed from Feedback to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

- % Done changed from 90 to 100

Close this ticket as bulk editor has new developments like NAT tables and parallel loading anyways.
https://dev.e-taxonomy.eu/redmine/issues/7010
